Name:          wtmpclean
Version:       0.8.1
Release:       2mamba
Summary:       A tool for dumping wtmp files and patching wtmp records
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/madrisan/wtmpclean
Source:        https://github.com/madrisan/wtmpclean.git/v%{version}/wtmpclean-%{version}.tar.bz2
Patch0:        wtmpclean-0.8.1-gcc-14.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
wtmpclean is a tool for Unix operating systems written in standard C ANSI, which enables users with sufficient privileges dump wtmp databases and patch or delete wtmp records that log a user or that were created at a given date and time.

%prep
%setup -q
%patch 0 -p1 -b .gcc-14
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/wtmpclean
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Tue Mar 04 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-2mamba
- updated urls and maintainer

* Sat Sep 06 2014 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic update by autodist

* Sun Dec 15 2013 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic update by autodist

* Sun Dec 05 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.6.7-1mamba
- package created by autospec
